Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.ognl
Class SecurityMemberAccess

    java.lang.Object
      ognl.DefaultMemberAccess
          com.opensymphony.xwork2.ognl.SecurityMemberAccess

All Implemented Interfaces:
  ognl.MemberAccess

    public class SecurityMemberAccess

extends ognl.DefaultMemberAccess

Allows access decisions to be made on the basis of whether a member is static or not. Also blocks or allows access to properties.

Field Summary

Fields inherited from class ognl.DefaultMemberAccess
`allowPackageProtectedAccess, allowPrivateAccess, allowProtectedAccess`

Constructor Summary
`SecurityMemberAccess(boolean method)`

Method Summary
`protected boolean` | `checkEnumAccess(Object target, Member member)`
`protected boolean` | `checkStaticMethodAccess(Member member)`
`boolean` | `getAllowStaticMethodAccess()`
`protected boolean` | `isAcceptableProperty(String name)`
`protected boolean` | `isAccepted(String paramName)`
`boolean` | `isAccessible(Map context, Object target, Member member, String propertyName)`
`protected boolean` | `isClassExcluded(Class<?> clazz)`
`protected boolean` | `isExcluded(String paramName)`
`protected boolean` | `isPackageExcluded(Package targetPackage, Package memberPackage)`
`void` | `setAcceptProperties(Set<Pattern> acceptedProperties)`
`void` | `setDisallowProxyMemberAccess(boolean disallowProxyMemberAccess)`
`void` | `setExcludedClasses(Set<Class<?>> excludedClasses)`
`void` | `setExcludedPackageNamePatterns(Set<Pattern> excludedPackageNamePatterns)`
`void` | `setExcludedPackageNames(Set<String> excludedPackageNames)`
`void` | `setExcludeProperties(Set<Pattern> excludeProperties)`

Methods inherited from class ognl.DefaultMemberAccess
`getAllowPackageProtectedAccess, getAllowPrivateAccess, getAllowProtectedAccess, restore, setAllowPackageProtectedAccess, setAllowPrivateAccess, setAllowProtectedAccess, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityMemberAccess

    public SecurityMemberAccess(boolean method)

Method Detail

### getAllowStaticMethodAccess

    public boolean getAllowStaticMethodAccess()

### isAccessible

    public boolean isAccessible(Map context,
                                Object target,
                                Member member,
                                String propertyName)

  Specified by:
    `isAccessible` in interface `ognl.MemberAccess`
  Overrides:
    `isAccessible` in class `ognl.DefaultMemberAccess`

### checkStaticMethodAccess

    protected boolean checkStaticMethodAccess(Member member)

### checkEnumAccess

    protected boolean checkEnumAccess(Object target,
                                      Member member)

### isPackageExcluded

    protected boolean isPackageExcluded(Package targetPackage,
                                        Package memberPackage)

### isClassExcluded

    protected boolean isClassExcluded(Class<?> clazz)

### isAcceptableProperty

    protected boolean isAcceptableProperty(String name)

### isAccepted

    protected boolean isAccepted(String paramName)

### isExcluded

    protected boolean isExcluded(String paramName)

### setExcludeProperties

    public void setExcludeProperties(Set<Pattern> excludeProperties)

### setAcceptProperties

    public void setAcceptProperties(Set<Pattern> acceptedProperties)

### setExcludedClasses

    public void setExcludedClasses(Set<Class<?>> excludedClasses)

### setExcludedPackageNamePatterns

    public void setExcludedPackageNamePatterns(Set<Pattern> excludedPackageNamePatterns)

### setExcludedPackageNames

    public void setExcludedPackageNames(Set<String> excludedPackageNames)

### setDisallowProxyMemberAccess

    public void setDisallowProxyMemberAccess(boolean disallowProxyMemberAccess)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.